
export type RequestResult = 'OK' | 'ENTITY_NOT_FOUND' | 'ENTITY_DUPLICATION' | 'INTERNAL_SERVER_ERROR' | 
  'NOT_CORRECT_REQUEST_DATA' | 'ACCOUNT_NOT_ACTIVE' | 'PLACE_NOT_ACTIVE' | 'TABLE_NOT_ACTIVE' | 'VISIT_NOT_OPEN';

export class HttpApiResponse<T> {
  public httpCode: number = 200;
  public requestResult: RequestResult = 'OK';
  public responseBody!: T;
  public msg?: string;

  public static build<T>(httpCode: number, requestResult: RequestResult, responseBody: T, msg?: string): HttpApiResponse<T> {
    const httpServerResponse = new HttpApiResponse<T>();
    httpServerResponse.httpCode = httpCode;
    httpServerResponse.requestResult = requestResult;
    httpServerResponse.responseBody = responseBody;
    httpServerResponse.msg = msg;

    return httpServerResponse;
  }
}
