import { VisitType } from "../enum/visit.type";
import { DishSectionDto } from "./dish.section.dto";

export class DishDto {
  public id: string = '';
  public active: boolean = true;
  public imgUrl: string = '';
  public name: { en: string, ru: string, ua: string } = {en: '', ru: '', ua: ''};
  public desc: { en?: string, ru?: string, ua?: string } = {en: '', ru: '', ua: ''};
  public posId: string = '';
  public allowForVisitType: VisitType[] = [VisitType.IN_PLACE, VisitType.PRE_ORDER, VisitType.TAKE_AWAY, VisitType.DELIVERY];
  public priceInPlace: number = 0;
  public pricePreOrder: number = 0;
  public priceTakeAway: number = 0;
  public priceDelivery: number = 0;
  public weight: string = '';
  public calories: string = '';
  public cookTime: number = 0;
  public searchTags: string = '';

  public dishSections: DishSectionDto[] = [];
  public selected?: boolean;
}
